/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.list.type.model.impl;

import com.liferay.list.type.model.ListTypeEntry;
import com.liferay.list.type.service.ListTypeEntryLocalServiceUtil;

/**
 * The extended model base implementation for the ListTypeEntry service. Represents a row in the &quot;ListTypeEntry&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link ListTypeEntryImpl}.
 * </p>
 *
 * @author Gabriel Albuquerque
 * @see ListTypeEntryImpl
 * @see ListTypeEntry
 * @generated
 */
public abstract class ListTypeEntryBaseImpl
	extends ListTypeEntryModelImpl implements ListTypeEntry {

	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify or reference this class directly. All methods that expect a list type entry model instance should use the <code>ListTypeEntry</code> interface instead.
	 */
	@Override
	public void persist() {
		if (this.isNew()) {
			ListTypeEntryLocalServiceUtil.addListTypeEntry(this);
		}
		else {
			ListTypeEntryLocalServiceUtil.updateListTypeEntry(this);
		}
	}

}